/**
 * Copyright 2016 Google Inc. All rights reserved.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
*/

// DO NOT EDIT THIS GENERATED OUTPUT DIRECTLY!
// This file should be overwritten as part of your build process.
// If you need to extend the behavior of the generated service worker, the best approach is to write
// additional code and include it using the importScripts option:
//   https://github.com/GoogleChrome/sw-precache#importscripts-arraystring
//
// Alternatively, it's possible to make changes to the underlying template file and then use that as the
// new base for generating output, via the templateFilePath option:
//   https://github.com/GoogleChrome/sw-precache#templatefilepath-string
//
// If you go that route, make sure that whenever you update your sw-precache dependency, you reconcile any
// changes made to this original template file with your modified copy.

// This generated service worker JavaScript will precache your site's resources.
// The code needs to be saved in a .js file at the top-level of your site, and registered
// from your pages in order to be used. See
// https://github.com/googlechrome/sw-precache/blob/master/demo/app/js/service-worker-registration.js
// for an example of how you can register this script and handle various service worker events.

/* eslint-env worker, serviceworker */
/* eslint-disable indent, no-unused-vars, no-multiple-empty-lines, max-nested-callbacks, space-before-function-paren, quotes, comma-spacing */
'use strict';

var precacheConfig = [["gulpfile.js","f75f74438489df4637b7cf8fbe1409a2"],["images/icons/icon-128x128.png","b1b0f7b8adb5bb5568c370b1c8af29e9"],["images/icons/icon-144x144.png","928538579a59f24888281462ce75ef7a"],["images/icons/icon-152x152.png","300cd90366750e4abbab2205d219624e"],["images/icons/icon-192x192.png","ac65b2a8d6e7ad80fdab29f76edd91c7"],["images/icons/icon-256x256.png","827577d4371bd0c83789fac7a2fe1546"],["images/icons/icon-32x32.png","940d8b2f15cc3bee9e6997f9408bbea7"],["index.html","be8951d9b3ea54afa39b83443081aa6e"],["node_modules/ansi-align/index.js","ca8bebb431a3c6900abf509ac6404b2f"],["node_modules/ansi-regex/index.js","df3213a53f3ce3092379ca771e98af7c"],["node_modules/ansi-styles/index.js","2cc6b53cf1be1f65e12fb445f9670099"],["node_modules/archy/examples/beep.js","b4270ab659e13669ec1a126eb2f38fbf"],["node_modules/archy/examples/multi_line.js","3ceb7d2efb926e80fec9fdc5393700a1"],["node_modules/archy/index.js","ad34826623828678c831b473d7d9f1dd"],["node_modules/archy/test/beep.js","fb5cb8bc88953c962bf0495866f99459"],["node_modules/archy/test/multi_line.js","d3430460b0302a6d806bb25d2353b6cf"],["node_modules/archy/test/non_unicode.js","99692fee8cc6537e5e1d489d21f217c3"],["node_modules/arr-diff/index.js","5faf9fbe0e3acc0a1ea8d89b2b6fbce7"],["node_modules/arr-flatten/index.js","5a2f9842b803213c4354cfda21e7a78e"],["node_modules/array-differ/index.js","406c4167ae6a855ac9666d986036e596"],["node_modules/array-each/index.js","aa4cb291990e5dbb8ef952feb5657a23"],["node_modules/array-find-index/index.js","a19a7b6671943fe3f99fecdb60ac106d"],["node_modules/array-slice/index.js","b2a69d59289cd658268272b62adf6459"],["node_modules/array-uniq/index.js","4a565c98f2f410ca19179fa259afc895"],["node_modules/array-unique/index.js","30919908fb2fd66b76529a2c298a1e3b"],["node_modules/balanced-match/index.js","ca7939972f730b534187f79544919e4e"],["node_modules/beeper/index.js","876713d45c1d5d569ab0ee69936ce6e9"],["node_modules/boxen/index.js","4f01d9ad9503feb7cacaa4efe99b4b16"],["node_modules/brace-expansion/index.js","2e265baed5f4147160f144389684af9c"],["node_modules/braces/index.js","a366bb0adfda2ee9daf45c136b59fd99"],["node_modules/builtin-modules/index.js","fd9d9306e79e22e86c5a198c63eceab8"],["node_modules/builtin-modules/static.js","ad704575c4e629f5cdb57f65de0686d6"],["node_modules/camelcase-keys/index.js","c558ce41088691f6c3a4f79625809061"],["node_modules/camelcase/index.js","760ce1ead8f37c3ffc9f948288be5944"],["node_modules/capture-stack-trace/index.js","5bd00d46fc732fbef2873d15a676fb92"],["node_modules/chalk/index.js","678265834c631a999022893686def9c2"],["node_modules/cli-boxes/index.js","066d19e3172de9e194b90bce14a034dd"],["node_modules/clone-stats/index.js","3a0cf576a43c79a3171d6965a7922c40"],["node_modules/clone-stats/test.js","4d5227d04ef89e4949136f2ce56e0021"],["node_modules/clone/clone.js","0a590111014ae7fad2f5535adc6b7bff"],["node_modules/clone/test-apart-ctx.html","2e19bbe38f319e86bea1475cb015f3e4"],["node_modules/clone/test.html","e260d9e362fe61de265026dcb134cee4"],["node_modules/clone/test.js","26ac537c322744c4dfb4f4ff212cb2dc"],["node_modules/code-point-at/index.js","689f0d878fb9ef7ca0e99790059b2f1d"],["node_modules/concat-map/example/map.js","42b2341e75e2e29012793c31222c2783"],["node_modules/concat-map/index.js","8ef754ba23fdd37b3e8a1c52739ace80"],["node_modules/concat-map/test/map.js","a8e1d80e4629945216de220e4b580cf5"],["node_modules/configstore/index.js","5fd5dc4239b65b6900e26a3c5533e98d"],["node_modules/core-util-is/lib/util.js","ce1819caad2b19c623e93b3d73a6be24"],["node_modules/core-util-is/test.js","4ab5e52f065ab6d9b1404009b951d4ce"],["node_modules/create-error-class/index.js","01b3d186b7197f97f9730e505f27e7f1"],["node_modules/currently-unhandled/browser.js","f85cd6f6159c1a744096dd98d0a8692c"],["node_modules/currently-unhandled/core.js","2e6014188dde097d5dc79ece92235eda"],["node_modules/currently-unhandled/index.js","2f869c32daa8065f4ebe6f9c2cf69f87"],["node_modules/dateformat/lib/dateformat.js","161bb028fa930abb19be56aeb54c68f8"],["node_modules/decamelize/index.js","983084e6146528df1707b0aa3ff6cd9a"],["node_modules/deep-extend/index.js","5df64d39a44871d832aa71f608878417"],["node_modules/deep-extend/lib/deep-extend.js","fdd5ab13e17f29b34e066194f83f9321"],["node_modules/defaults/index.js","63eec2d2cb4bda3fbc8160a1923b7b6e"],["node_modules/defaults/test.js","051ac0b7b966044348013a7d29802e1e"],["node_modules/deprecated/index.js","88ada0240f619fcc5b0da331aa077d2e"],["node_modules/deprecated/test/field.js","a82099c23754b1ffaf191158c3569c15"],["node_modules/deprecated/test/method.js","19d1851ec33dcb38db5b1c05f58aa4d4"],["node_modules/detect-file/index.js","8533dce03028989899051f4490114951"],["node_modules/dom-urls/index.js","43629b92a6fe6b72e85a1e4c3ca5391e"],["node_modules/dot-prop/index.js","8517282b385fef0471190f7d356bb646"],["node_modules/duplexer2/index.js","988e2e75cb1805fe340ea637af06301f"],["node_modules/end-of-stream/index.js","8f0cc359fed576d215039a141ddbb858"],["node_modules/end-of-stream/node_modules/once/once.js","638c8c30260edec03835522c8152265d"],["node_modules/end-of-stream/test.js","3ffb11f8d02e5235f8d18150df1a93cb"],["node_modules/error-ex/index.js","39336b80f07e788a2cb2516244f334a5"],["node_modules/es6-promise/auto.js","b516758151252729f6a24303df6c1a77"],["node_modules/es6-promise/dist/es6-promise.auto.js","3185e1c6c3def1dc806ad05b3f3c4749"],["node_modules/es6-promise/dist/es6-promise.auto.min.js","9de0e2361e885d394095abf15e5c6d5c"],["node_modules/es6-promise/dist/es6-promise.js","bc71df55f1abc06ca04ae92b0a3b4d90"],["node_modules/es6-promise/dist/es6-promise.min.js","4c386f222e5f9530b444261b07dece60"],["node_modules/es6-promise/lib/es6-promise.auto.js","b66fba58cb90b3260b0b6159d8611457"],["node_modules/es6-promise/lib/es6-promise.js","9feb6700624e50ecbddb13d1e502a0b1"],["node_modules/es6-promise/lib/es6-promise/-internal.js","454bc012bf26172adfd1200151b9685b"],["node_modules/es6-promise/lib/es6-promise/asap.js","3648cba7270eb69bcadb89cde931967b"],["node_modules/es6-promise/lib/es6-promise/enumerator.js","307029698dec72026a9f2b6c46802e33"],["node_modules/es6-promise/lib/es6-promise/polyfill.js","f44f337caeed8a78be0ac4f1a59a44fa"],["node_modules/es6-promise/lib/es6-promise/promise.js","a205582bf15fc3c35152f3dd2e2a66f7"],["node_modules/es6-promise/lib/es6-promise/promise/all.js","3b322588b808ef29090698e5d47d7d05"],["node_modules/es6-promise/lib/es6-promise/promise/race.js","f3134eff4fad30ef5396989302920704"],["node_modules/es6-promise/lib/es6-promise/promise/reject.js","4926bda3b87c32f9608a3c145ff636d2"],["node_modules/es6-promise/lib/es6-promise/promise/resolve.js","bcdb088cd3b029540ae383e793fe4934"],["node_modules/es6-promise/lib/es6-promise/then.js","6bce50765808193773ab54791f030b45"],["node_modules/es6-promise/lib/es6-promise/utils.js","84a5510bbc30f7029c3dde0df162c197"],["node_modules/escape-string-regexp/index.js","7b366c6d23641eabb9d8f46fa9008535"],["node_modules/expand-brackets/index.js","d98c4a3477ac3592280e8e3039ab50bb"],["node_modules/expand-range/index.js","77897c243aac089fe66e60c96ef98ebc"],["node_modules/expand-tilde/index.js","d67595b3ed8da9ba7bbca0cb05bd3f9a"],["node_modules/extend/index.js","b829c015c2a5be36d47251fdbaa49e72"],["node_modules/extglob/index.js","155140281ac6abb45ec38438c4dabff3"],["node_modules/fancy-log/index.js","42369b8e5a4aa164a7fb13c02c302d1e"],["node_modules/filename-regex/index.js","04244142eee2320c1cdfd53c1c6d8b62"],["node_modules/fill-range/index.js","d6cff74dde2eb4165f006308eb2dd83b"],["node_modules/filled-array/index.js","dcc5e733f4f92b35d19d670269e5c200"],["node_modules/find-index/index.js","ad59b2e6f8946d74bb828e1dc39f6e48"],["node_modules/find-index/last.js","bb898dc8c27dc9f4deccb0c5b40c3dfb"],["node_modules/find-up/index.js","273b843d5994136674f491d7a2c5ecfe"],["node_modules/findup-sync/index.js","33030b98357b93a75273e2809192d093"],["node_modules/fined/index.js","37798b3060fd18007dc9624afcd06161"],["node_modules/fined/node_modules/expand-tilde/index.js","24b5e5ad258d857253545c12019c4d8c"],["node_modules/first-chunk-stream/index.js","9b1e21b2c07c10e283c92bd986ade8b1"],["node_modules/flagged-respawn/index.js","c477cbe9ae75fd0197870af2a2dcd4de"],["node_modules/flagged-respawn/lib/reorder.js","7f19be2acafbdf940380c7844fd67baf"],["node_modules/flagged-respawn/lib/respawn.js","dfa2ecfd05d017a6b367efa9286a811f"],["node_modules/flagged-respawn/test/bin/exit_code.js","68671f465a621ff1bc8ceab4c9d38090"],["node_modules/flagged-respawn/test/bin/respawner.js","099fb1c5cc4962bda7d488eb897cdf78"],["node_modules/flagged-respawn/test/bin/signal.js","f41fb9110d89c622b6d8c1d0c9e2fa39"],["node_modules/flagged-respawn/test/index.js","f69efe09e4d4efd9cf20526d2fbcca9e"],["node_modules/for-in/index.js","13da153b7aea4c1168d6538a26c5f172"],["node_modules/for-own/index.js","f2fff8d301e171945c1a53d986925e50"],["node_modules/fs-exists-sync/index.js","3d0ddc67f3d986553437744512f11b0f"],["node_modules/fs.realpath/index.js","81443ae283d9031000862ce501c9f964"],["node_modules/fs.realpath/old.js","8c3d2bd3edf5d8918b7cbf3c93b3ba32"],["node_modules/gaze/lib/gaze.js","9108c48784d4bb3d4c8747857ba378c3"],["node_modules/gaze/lib/helper.js","293c918e157f7bb2c4f45ddf5008b333"],["node_modules/get-stdin/index.js","c82d99b0454e15c5319dc5b1e37527e3"],["node_modules/glob-base/index.js","ee6fe689ab84b0c29e75027f29a4dbee"],["node_modules/glob-parent/index.js","e937aae18305a59bbac2265dccfa757f"],["node_modules/glob-parent/test.js","ac3af75e7f1ee7264dc145d0c0602670"],["node_modules/glob-stream/index.js","de8ef170c9c3e8fd249e9b683e6d6399"],["node_modules/glob-stream/node_modules/glob/common.js","7220efd312364ca895bdccc02a43fbd7"],["node_modules/glob-stream/node_modules/glob/glob.js","c48d62df6fc13a61f1c8c7eef186d98f"],["node_modules/glob-stream/node_modules/glob/sync.js","74f2531bddd99fecf99ec836f7ec2aff"],["node_modules/glob-stream/node_modules/minimatch/browser.js","c9bc1a2a1ab9d7a4953af1ec2f28f372"],["node_modules/glob-stream/node_modules/minimatch/minimatch.js","87bd6e0a97b9393e8491c08a83e8e509"],["node_modules/glob-stream/node_modules/readable-stream/duplex.js","0bbee744616e6f49c9204d153c492e90"],["node_modules/glob-stream/node_modules/readable-stream/lib/_stream_duplex.js","b1a73c853d96fdaff0e860b807893ebd"],["node_modules/glob-stream/node_modules/readable-stream/lib/_stream_passthrough.js","ce5db75482e147ac95a28a779c9e3534"],["node_modules/glob-stream/node_modules/readable-stream/lib/_stream_readable.js","df49a9a27415c7c87d62a9d5e4d531eb"],["node_modules/glob-stream/node_modules/readable-stream/lib/_stream_transform.js","6256b8cd1189182f3f6ead29685e1803"],["node_modules/glob-stream/node_modules/readable-stream/lib/_stream_writable.js","7f5ca9563c1a4c7f271d0ffc6045733f"],["node_modules/glob-stream/node_modules/readable-stream/passthrough.js","0c37f6b2f15bba603db1fcace84703e4"],["node_modules/glob-stream/node_modules/readable-stream/readable.js","e17d17a719cfb0c3822403abf6df72cc"],["node_modules/glob-stream/node_modules/readable-stream/transform.js","c741030ec12b51eb7b7db4cb33018418"],["node_modules/glob-stream/node_modules/readable-stream/writable.js","64168dce8ac3b4d07ed84affbadb52f5"],["node_modules/glob-stream/node_modules/string_decoder/index.js","d6a118237011b215f71d40bbc5db400e"],["node_modules/glob-stream/node_modules/through2/through2.js","90f016e89813009fce103724bae3ff89"],["node_modules/glob-watcher/index.js","5a898630cc5e650115d3946a65eeaef4"],["node_modules/glob-watcher/test/main.js","50b83819c4a6b63d5f135d536da018cf"],["node_modules/glob/common.js","0041795c4700b9e1c1cd76729517f08b"],["node_modules/glob/glob.js","20c4c7d5e53fcaaf2781e53942dc2e32"],["node_modules/glob/sync.js","c29ff74e143a933770c75a66998fbeeb"],["node_modules/glob2base/index.js","8fd482f70577a0eed5af9ab65da9479b"],["node_modules/global-modules/index.js","28a15d8a4791c4b72c632d841066e35f"],["node_modules/global-prefix/index.js","051a48516a8b1b00258c5f2d8a1e5651"],["node_modules/globule/Gruntfile.js","1d82e17955c942e72dfb294d320c4bd4"],["node_modules/globule/lib/globule.js","7891a5d3613f0159949778516a7fd987"],["node_modules/globule/node_modules/glob/examples/g.js","2ac12c75d060b2e97566c7c8efa928cc"],["node_modules/globule/node_modules/glob/examples/usr-local.js","457ed37c1d7c0e1dc4c52db26ed6be5c"],["node_modules/globule/node_modules/glob/glob.js","e7c0cdbb60fa3cc0eb0e92d4a67e04bf"],["node_modules/globule/node_modules/glob/test/00-setup.js","d7c7318bbd9712eb67caa9ce79d03a3f"],["node_modules/globule/node_modules/glob/test/bash-comparison.js","d76b31d2e51f1882035e21e579cd814c"],["node_modules/globule/node_modules/glob/test/cwd-test.js","b33e2081626e17c09c12acd200f50d2e"],["node_modules/globule/node_modules/glob/test/mark.js","2c8071e355ec6d724634d5b70cbbd8a1"],["node_modules/globule/node_modules/glob/test/nocase-nomagic.js","ca9854eadcf4bcff3288a8ee865628a6"],["node_modules/globule/node_modules/glob/test/pause-resume.js","96eae943e48cd2aeb1242b00bb7e654b"],["node_modules/globule/node_modules/glob/test/root-nomount.js","3dbba4ca8fd72ee4cc8b409c611d63d0"],["node_modules/globule/node_modules/glob/test/root.js","10344dac191637ec8a8eeb22dc9a165a"],["node_modules/globule/node_modules/glob/test/zz-cleanup.js","23aa0b6df3e2af7314caf7495e1ede40"],["node_modules/globule/node_modules/graceful-fs/graceful-fs.js","a085c1dd4c81a1330706619c89fdbb14"],["node_modules/globule/node_modules/graceful-fs/test/open.js","9df92988b446998b1006452e93e76f01"],["node_modules/globule/node_modules/graceful-fs/test/ulimit.js","2833d320d272780e02f3fda1ce534804"],["node_modules/globule/node_modules/inherits/inherits.js","22dfaa0e71fb801bc4e7bd642f340120"],["node_modules/globule/node_modules/minimatch/minimatch.js","d548b252f496425c078653f59cffb62e"],["node_modules/globule/node_modules/minimatch/test/basic.js","69cf00a3a4f49eeb7631ca83252cb620"],["node_modules/globule/node_modules/minimatch/test/brace-expand.js","db1c6a4df7bc394d564922064a37795b"],["node_modules/globule/node_modules/minimatch/test/caching.js","a21947bdad9ab0904db4fe403832866b"],["node_modules/globule/node_modules/minimatch/test/defaults.js","9ec40391c3ebce497281cd4a87360759"],["node_modules/globule/node_modules/minimatch/test/extglob-ending-with-state-char.js","e59a904d10eabad09e4511694cbb2d2d"],["node_modules/globule/test/fixtures/expand/css/baz.css","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/globule/test/fixtures/expand/css/qux.css","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/globule/test/fixtures/expand/js/bar.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/globule/test/fixtures/expand/js/foo.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/globule/test/globule_test.js","6b29eeec7c9e354e330b7ec79cc12060"],["node_modules/glogg/index.js","db896756382addd3066a86cee7910189"],["node_modules/got/index.js","ac9cd82147d886f103afc718a7e566a9"],["node_modules/graceful-fs/fs.js","7fb9340b36e141a4944b13d205af3d1d"],["node_modules/graceful-fs/graceful-fs.js","0af3af2b5945a7073883fb5273f25893"],["node_modules/graceful-fs/legacy-streams.js","620fc152dc9bfa087f9901703b1e2616"],["node_modules/graceful-fs/polyfills.js","af45c9957edb1ef798122235655af168"],["node_modules/gulp-util/index.js","769667e7412158cfe73cdcc7f97994c5"],["node_modules/gulp-util/lib/PluginError.js","bb3660508b7d3c70a7d65c21dc307db1"],["node_modules/gulp-util/lib/buffer.js","0f4ca77f966c7d556dc7a61b703e046b"],["node_modules/gulp-util/lib/combine.js","0eadd42295d6a1c2f106ba90c36328ab"],["node_modules/gulp-util/lib/env.js","a622963735c4a7619461cfec568d6404"],["node_modules/gulp-util/lib/isBuffer.js","25254d97c81723367f630925d0638814"],["node_modules/gulp-util/lib/isNull.js","a30df594506b4cdfd2c250e3793dce70"],["node_modules/gulp-util/lib/isStream.js","4029c148b49b1a05d8d62124cc933dd0"],["node_modules/gulp-util/lib/log.js","f55dc4eff9df5275c1682ca7d01e4dc1"],["node_modules/gulp-util/lib/noop.js","0a966168e9bd0eb73bccc83974b6f5a6"],["node_modules/gulp-util/lib/template.js","e853013b1a0dea8d44da9a892cee1804"],["node_modules/gulp-util/node_modules/lodash.template/index.js","3add2b5ca1dad0e523da1e13f1ec3e4a"],["node_modules/gulp-util/node_modules/lodash.templatesettings/index.js","0bb86490abe7462623941b35aced06b4"],["node_modules/gulp-util/node_modules/object-assign/index.js","de17ab17bd493290cdd7e124ee7d1345"],["node_modules/gulp/bin/gulp.js","7bb09f95e8f3c583127841b2f9abbfb3"],["node_modules/gulp/index.js","cce68488a017b27a2e14bf0211da354f"],["node_modules/gulp/lib/completion.js","d502b85705cd6b050f36de5eea0a74cd"],["node_modules/gulp/lib/taskTree.js","9b323b3ca9e63a3bcf67687df3d8b5e6"],["node_modules/gulp/node_modules/semver/semver.browser.js","4026b8364a4b57ad6153865849c8342b"],["node_modules/gulp/node_modules/semver/semver.js","9c2af0a9a13df5d52c8ca1f8f46b440d"],["node_modules/gulp/node_modules/semver/semver.min.js","82171cccb56e7edf3195913ebf0078eb"],["node_modules/gulp/node_modules/semver/test/amd.js","73ac49ba1e7c1f0a1eea0f4271118651"],["node_modules/gulp/node_modules/semver/test/big-numbers.js","d512554ec4b7e9f45dad51a2007aef2f"],["node_modules/gulp/node_modules/semver/test/clean.js","d24dcb491ffbf1f82322c5132e0e5a57"],["node_modules/gulp/node_modules/semver/test/gtr.js","96c557ed5f28e2fb66d2ddac79703e84"],["node_modules/gulp/node_modules/semver/test/index.js","fb0a4a2120dfe8412465944f258163ef"],["node_modules/gulp/node_modules/semver/test/ltr.js","dca572cd5c369f1bba3ddc0abe27a412"],["node_modules/gulp/node_modules/semver/test/major-minor-patch.js","977ac51ffb1a5b99f80e489105123ecd"],["node_modules/gulp/node_modules/semver/test/no-module.js","906c177a6aa7f14fc502bfcdedc1ff67"],["node_modules/gulplog/index.js","457ba82bc59630a0f973dad296a00d04"],["node_modules/has-ansi/index.js","492cbe0061bb86227d725192420ad509"],["node_modules/has-gulplog/index.js","8611f13420f0a50fbcb0a67a06c0c36f"],["node_modules/homedir-polyfill/index.js","d500fc3f682b19a0f2814a9fc020a3ae"],["node_modules/hosted-git-info/git-host-info.js","1cb7a4b3b9f85c3a1abc654c8e863646"],["node_modules/hosted-git-info/git-host.js","ffa643bf87d05fba1039e654345cf8ce"],["node_modules/hosted-git-info/index.js","41a26e11fa9515c32af6cfa40fbf5605"],["node_modules/imurmurhash/imurmurhash.js","929efbc5c5675bc0e4d2b544fec5d84c"],["node_modules/imurmurhash/imurmurhash.min.js","52d2eb410de1c9e0758ef562289289fa"],["node_modules/indent-string/index.js","b3a3b06e58214f950cb0d0fe34533da8"],["node_modules/inflight/inflight.js","42bbc3622abfefca5862fd0d12441a15"],["node_modules/inherits/inherits.js","09b210610125b162700734fb93dc892c"],["node_modules/inherits/inherits_browser.js","7c26fc24b695f2afbc284bbd5f64d6a4"],["node_modules/ini/ini.js","21e87b0f99cd9337bb9154c420f77f98"],["node_modules/interpret/index.js","f1e68890afc3766dd15cf289a89b18be"],["node_modules/is-absolute/index.js","6a05b82629c357e1c0aa1a6e52c279d5"],["node_modules/is-arrayish/index.js","37d2f8bf6f5eaa32af9695936e137f8c"],["node_modules/is-buffer/index.js","b7412cddcc361499cb97de2fde16d633"],["node_modules/is-buffer/test/basic.js","a464c09281c3a6d95e23046d8b4b14b1"],["node_modules/is-builtin-module/index.js","f63b2dd34de1163806fe7a045fdb393a"],["node_modules/is-dotfile/index.js","98f5d1c788fd02756f3aff863c417ebb"],["node_modules/is-equal-shallow/index.js","ba193b903f85dd15c121ebcb823a0007"],["node_modules/is-extendable/index.js","eb39d1113eef5bd5beed938990c412f2"],["node_modules/is-extglob/index.js","c0a020adfb4ea05ac06e5394a3a151de"],["node_modules/is-finite/index.js","14531067f0794e449029d9268fbc0d5b"],["node_modules/is-fullwidth-code-point/index.js","2f08a4aae88894d808045e430dab146c"],["node_modules/is-glob/index.js","d34a12314359fc9bc8fd60db11cfe8f1"],["node_modules/is-npm/index.js","bc4b18b0c8c32b94883d6fc1d675e919"],["node_modules/is-number/index.js","6f02a16411a1d0aeefbdacf802f21c2d"],["node_modules/is-obj/index.js","66d4241b89050b1324ef6b5c3d7d6cb5"],["node_modules/is-plain-object/index.js","6c89fdca9b6974c9a8eab9e3c5bbab2e"],["node_modules/is-plain-object/node_modules/isobject/index.js","357dbf6e5f2bad0f859283e782e069f5"],["node_modules/is-posix-bracket/index.js","5ca3d3c3422209e76c117734129b197d"],["node_modules/is-primitive/index.js","e28ddec757d50f62dc21f22bb0ced51e"],["node_modules/is-redirect/index.js","44edfdcf7fbdbd68cdcd95a860d1719e"],["node_modules/is-relative/index.js","4d855ae6002a4503104b3dfcecd75db3"],["node_modules/is-retry-allowed/index.js","8c4e2bc2de6a940f281b5e1cdd9f80b1"],["node_modules/is-stream/index.js","2778ccebb8b27fdf4e858b11e9f96e2f"],["node_modules/is-unc-path/index.js","002fa70754e367f815a17993f4690727"],["node_modules/is-utf8/is-utf8.js","d6bf49d9e457e9f115559194aca1e975"],["node_modules/is-windows/index.js","205fe7d41ad2cd034d97469417c75ba1"],["node_modules/isarray/build/build.js","d3005169d2c46521802b587ddc12bfb0"],["node_modules/isarray/index.js","e8460ef833145a9652fba1bb4c47ede7"],["node_modules/isexe/index.js","1a5f173769c2c3b82a211ab81ebb13b9"],["node_modules/isexe/mode.js","e4ae002fd14a8bf3666fe9b2c811e8bb"],["node_modules/isexe/test/basic.js","d6149183bc6a5ee3220291b53e5f4567"],["node_modules/isexe/windows.js","2a44bcc05f54dddeb33a1776ee7e481a"],["node_modules/isobject/index.js","dcb5d234632f3de28e4efa747d4eacb0"],["node_modules/isobject/node_modules/isarray/index.js","e32b2424bf3f56c47ac6a2a08478dce9"],["node_modules/isobject/node_modules/isarray/test.js","abae91536d765db34554068cc3f001b0"],["node_modules/kind-of/index.js","974e0c2803e83c5bf65de52b98bf4f55"],["node_modules/latest-version/index.js","604e1f20391acffa3ff6ce4c0b3beff8"],["node_modules/lazy-req/index.js","051fc549ab0e06dd39826c388af907af"],["node_modules/liftoff/index.js","dd9a6b5dcaeba89fd714bcbbf0678906"],["node_modules/liftoff/lib/build_config_name.js","947785eb6e351895b2800819d76e1bff"],["node_modules/liftoff/lib/file_search.js","bdd432ab7d6b436d8725aff47718487f"],["node_modules/liftoff/lib/find_config.js","25bfe070299b6268b8f20fd37f69ea02"],["node_modules/liftoff/lib/find_cwd.js","02e73266b8bb5df278d1cd5b6e4f3fa2"],["node_modules/liftoff/lib/parse_options.js","a96597692d98fe920c957a2134b272ea"],["node_modules/liftoff/lib/register_loader.js","2521f580b2e4217a269bdb18d59cff2d"],["node_modules/liftoff/lib/silent_require.js","5c216a80532dbb6ecbf3d733f0a728ee"],["node_modules/load-json-file/index.js","b5b58c5d7d67c11d10cad6af497bcbc1"],["node_modules/lodash._basecopy/index.js","0425748320d275c7e358d48300a02a31"],["node_modules/lodash._basetostring/index.js","49cc7bc881db3dcd6ff168cd81e31a14"],["node_modules/lodash._basevalues/index.js","60ec95215c1f011b4cd64d85ac382eb3"],["node_modules/lodash._getnative/index.js","c4e32036c24c8d8fdadc7c28fc767fa8"],["node_modules/lodash._isiterateecall/index.js","d8fefa36f1dc5c76f6861013386aef2f"],["node_modules/lodash._reescape/index.js","b50986ef7239aeb633d95e8bb56f04f6"],["node_modules/lodash._reevaluate/index.js","0521968c8b611b81090b5272ef20ce1a"],["node_modules/lodash._reinterpolate/index.js","d109289b492310fb94da2cae11126800"],["node_modules/lodash._root/index.js","8b961f130c9856f74442e9e2da76aa66"],["node_modules/lodash.defaults/index.js","bc5e8d4b69b077619971c2d8a3bdf315"],["node_modules/lodash.escape/index.js","7ebfdce91ebaec9fdb1fe37fa3bc3f8d"],["node_modules/lodash.isarguments/index.js","2fc66bb911193b2edd62f9fbdedb257e"],["node_modules/lodash.isarray/index.js","e45291c41a49486d5df1c39a8fc170e0"],["node_modules/lodash.isplainobject/index.js","c78f6198178557641d604eb0a3170b75"],["node_modules/lodash.isstring/index.js","4972b9ab0c0d5cb9ff88e606de391d8a"],["node_modules/lodash.keys/index.js","c20862833ae887c324db06d0b588b81f"],["node_modules/lodash.mapvalues/index.js","b0a594eabdd938146ae076f680e4a456"],["node_modules/lodash.restparam/index.js","06bb6a8639358b34c746005a36aa8126"],["node_modules/lodash.template/index.js","b1bda935446a88b2e10bf404e5167409"],["node_modules/lodash.templatesettings/index.js","6fc032aa4de90faaf8ae19020eb0bed5"],["node_modules/lodash/dist/lodash.compat.js","0f846d7e3d0b96fbf250e6ce46ae002c"],["node_modules/lodash/dist/lodash.compat.min.js","408dc57d86e99eec2b7f33d01783be86"],["node_modules/lodash/dist/lodash.js","fffe170a4769165cec7f3fd5b5d10930"],["node_modules/lodash/dist/lodash.min.js","f93960efb09766f9d3238783887cfe80"],["node_modules/lodash/dist/lodash.underscore.js","a92e772a948d78c616caacfd2bce1087"],["node_modules/lodash/dist/lodash.underscore.min.js","a177adf61b07911823d011c5ca84c1df"],["node_modules/loud-rejection/api.js","fb03c580c6296df18b39350e22f0bd97"],["node_modules/loud-rejection/index.js","3288863ed82f117ea85d432a09974ce0"],["node_modules/loud-rejection/register.js","7308489c82a9faa09f4534df9098004c"],["node_modules/lowercase-keys/index.js","799e7f74999f8f795fd2191dbb08a1b7"],["node_modules/lru-cache/lib/lru-cache.js","8f55a3b448e2983c62489af004f0adb8"],["node_modules/lru-cache/test/basic.js","4fe024f421f57d147864bc90e212f769"],["node_modules/lru-cache/test/foreach.js","b6491c2378197beab4a1e34ec1f35a18"],["node_modules/lru-cache/test/memory-leak.js","d678bc5226a2fdeb925805507d14d7bc"],["node_modules/lru-cache/test/serialize.js","0293d998d334a32285ab7916a97b9831"],["node_modules/map-cache/index.js","0a198c452d5a8b5b42463a2e2be5b6ef"],["node_modules/map-obj/index.js","2dbf2e519cb8026186d624ca503ca6e3"],["node_modules/meow/index.js","7d6747a9bc20191e44606431fe4658e2"],["node_modules/micromatch/index.js","7fe496347be511ec37bdfe6b7c622cfb"],["node_modules/micromatch/lib/chars.js","21c949f06af841e9c32921ce663584b6"],["node_modules/micromatch/lib/expand.js","0ef9294dcd7dd09b8492e369f6e546f8"],["node_modules/micromatch/lib/glob.js","646719b9775e4366eaa4744c89b7217d"],["node_modules/micromatch/lib/utils.js","b3f5e4606e6aa4168cc41009b2791c70"],["node_modules/minimatch/minimatch.js","9e22ccffac9538b210d6bc9e120e8f15"],["node_modules/minimist/example/parse.js","559dd0b28e67e4da65c434476bc2c885"],["node_modules/minimist/index.js","c36f5714c734dba3d1cb40e836c1374b"],["node_modules/minimist/test/all_bool.js","0996869b339f45a72669d8638df020d3"],["node_modules/minimist/test/bool.js","e42588336909394bd2c0a02d8346a694"],["node_modules/minimist/test/dash.js","3912e17dca100d50c1bab4c7982d56dc"],["node_modules/minimist/test/default_bool.js","d97a3688462e13a7399204b153426be8"],["node_modules/minimist/test/dotted.js","16f59760e45e2cf7f835320635d59ce1"],["node_modules/minimist/test/kv_short.js","74c72f03ca3283bacd95ce6019fcd1e8"],["node_modules/minimist/test/long.js","652e865e69ae41e78d9ad95f8557f0a2"],["node_modules/minimist/test/num.js","3c6b959c2a952ca471797e28723fa8c5"],["node_modules/minimist/test/parse.js","466b0207dd29b19eefe9aff973472fb5"],["node_modules/minimist/test/parse_modified.js","d04f05190e5720bb1fb47be8f09f96d8"],["node_modules/minimist/test/short.js","a964fe2c657d6e71d1c3a2c8bc5ce79c"],["node_modules/minimist/test/stop_early.js","20dfd44d3acf4d24e21fa04c24841580"],["node_modules/minimist/test/unknown.js","68487dbf5d4323c19185167877da8736"],["node_modules/minimist/test/whitespace.js","caa1c589b42a96804176247191ccb980"],["node_modules/mkdirp/bin/cmd.js","9ef5fb33a1a94773afb7dc52b0dfbb5d"],["node_modules/mkdirp/examples/pow.js","7440de96a1a111e53e3da08f0d8bb8eb"],["node_modules/mkdirp/index.js","7941341b14e76ae88be8dbad2202798e"],["node_modules/mkdirp/node_modules/minimist/example/parse.js","559dd0b28e67e4da65c434476bc2c885"],["node_modules/mkdirp/node_modules/minimist/index.js","822fc8889c4bc1e1906b9e51560e7978"],["node_modules/mkdirp/node_modules/minimist/test/dash.js","190934d8330fccc8c5aa07a3e43f028d"],["node_modules/mkdirp/node_modules/minimist/test/default_bool.js","c3598075b51486aa545526d13b454c66"],["node_modules/mkdirp/node_modules/minimist/test/dotted.js","e03ea33b7cfbb7799a90b5b7a799d253"],["node_modules/mkdirp/node_modules/minimist/test/long.js","652e865e69ae41e78d9ad95f8557f0a2"],["node_modules/mkdirp/node_modules/minimist/test/parse.js","02125d8ef8b795946d6e238b880d0814"],["node_modules/mkdirp/node_modules/minimist/test/parse_modified.js","076418970e9e56b926ded3e24aee7a01"],["node_modules/mkdirp/node_modules/minimist/test/short.js","a964fe2c657d6e71d1c3a2c8bc5ce79c"],["node_modules/mkdirp/node_modules/minimist/test/whitespace.js","caa1c589b42a96804176247191ccb980"],["node_modules/mkdirp/test/chmod.js","0dc717d70d0a5c203d4445b254828170"],["node_modules/mkdirp/test/clobber.js","b58e37e5922e9d03cd4b4e383ec8acd2"],["node_modules/mkdirp/test/mkdirp.js","568448d36da55ea890923d483f082fbc"],["node_modules/mkdirp/test/opts_fs.js","012858e2d9fd5ad9bad79d0b780f3a46"],["node_modules/mkdirp/test/opts_fs_sync.js","0811db9973a3fe26d9fe2b6f550ae374"],["node_modules/mkdirp/test/perm.js","40f49b41cbcae7105729d7f892e229a8"],["node_modules/mkdirp/test/perm_sync.js","63faf9288fc73b378510149a3a2120a4"],["node_modules/mkdirp/test/race.js","ea03e8320bfdf179a4d589e73f3ac302"],["node_modules/mkdirp/test/rel.js","ee4926533441d5574469ed8afc9b2d21"],["node_modules/mkdirp/test/return.js","ac2c9466636f391c17c6994ea8a51338"],["node_modules/mkdirp/test/return_sync.js","9ab72a21fa3e974dd6e50ab25c0f697e"],["node_modules/mkdirp/test/root.js","1d8aad344388793f4ba1a2b68fc1e130"],["node_modules/mkdirp/test/sync.js","0ce9d0bf0203775fd4073b4d436920b5"],["node_modules/mkdirp/test/umask.js","ce0030869a33d36268e36e27e6f04e2e"],["node_modules/mkdirp/test/umask_sync.js","aaf976f897e44397d06242d36f3821e3"],["node_modules/multipipe/index.js","7c1ee574cfdc6f31887dadd36a23b637"],["node_modules/multipipe/node_modules/duplexer2/example.js","5976292ed7a934b153bc545aab705ff4"],["node_modules/multipipe/node_modules/duplexer2/index.js","6d35402a0641f1746a53e31495a932ef"],["node_modules/multipipe/node_modules/duplexer2/test/tests.js","cd09e3c741b900dac560fbfc40e61560"],["node_modules/multipipe/node_modules/readable-stream/duplex.js","0bbee744616e6f49c9204d153c492e90"],["node_modules/multipipe/node_modules/readable-stream/lib/_stream_duplex.js","b1a73c853d96fdaff0e860b807893ebd"],["node_modules/multipipe/node_modules/readable-stream/lib/_stream_passthrough.js","ce5db75482e147ac95a28a779c9e3534"],["node_modules/multipipe/node_modules/readable-stream/lib/_stream_readable.js","6ae180b053087ca505615cbbcc9babca"],["node_modules/multipipe/node_modules/readable-stream/lib/_stream_transform.js","d6206e5183dcaac97200889704a7fed5"],["node_modules/multipipe/node_modules/readable-stream/lib/_stream_writable.js","b12cc46458b7818f70a8f0f752c4ef4c"],["node_modules/multipipe/node_modules/readable-stream/passthrough.js","0c37f6b2f15bba603db1fcace84703e4"],["node_modules/multipipe/node_modules/readable-stream/readable.js","eb7c45277aac00ccf3445fff75168fdd"],["node_modules/multipipe/node_modules/readable-stream/transform.js","c741030ec12b51eb7b7db4cb33018418"],["node_modules/multipipe/node_modules/readable-stream/writable.js","64168dce8ac3b4d07ed84affbadb52f5"],["node_modules/multipipe/node_modules/string_decoder/index.js","d6a118237011b215f71d40bbc5db400e"],["node_modules/multipipe/test/multipipe.js","ac4eac3e767390228326d4a10c6e6302"],["node_modules/natives/index.js","2249826c72a3b39ab684e8a15cb663b1"],["node_modules/node-status-codes/index.js","e494284ff0237251e24185f44373f4db"],["node_modules/normalize-package-data/lib/extract_description.js","5c523c4ab369586f32d49c6caed99c2e"],["node_modules/normalize-package-data/lib/fixer.js","a2aa461cd97447384a17dd898504531c"],["node_modules/normalize-package-data/lib/make_warning.js","3b87184568b3ba806d38233c904ac250"],["node_modules/normalize-package-data/lib/normalize.js","d7c8d95c23842d8eda85fa2ff5ff5e7d"],["node_modules/normalize-package-data/lib/safe_format.js","7d5529faadfd4a28c0d3064d404e902e"],["node_modules/normalize-path/index.js","aa9a5e9ffd28fc4dd26f1f7a9b059b77"],["node_modules/number-is-nan/index.js","8d047de69c33e1bebc91b6b113124f4b"],["node_modules/object-assign/index.js","4eb3c1a156ce2effd67b37a2dfedc632"],["node_modules/object.defaults/immutable.js","c2bc72ea658d8bd5bb1e713d8f4e3776"],["node_modules/object.defaults/index.js","3b381c8c73042608ba1c146cb6a01482"],["node_modules/object.defaults/mutable.js","4794d951dda89bca2ab3c899c2624415"],["node_modules/object.defaults/node_modules/for-own/index.js","f2fff8d301e171945c1a53d986925e50"],["node_modules/object.defaults/node_modules/isobject/index.js","357dbf6e5f2bad0f859283e782e069f5"],["node_modules/object.omit/index.js","51e228cf563d4d72ef28630bd3237fd3"],["node_modules/object.pick/index.js","eb7eb466c078b7003157c573f755c58c"],["node_modules/object.pick/node_modules/isobject/index.js","357dbf6e5f2bad0f859283e782e069f5"],["node_modules/once/once.js","d1d6962324348ad89bf780a233952c61"],["node_modules/orchestrator/index.js","88abc3478438988c498fa885ed9a5c10"],["node_modules/orchestrator/lib/runTask.js","d28c057810fe0cda1fde7c8b1bd26fef"],["node_modules/ordered-read-streams/index.js","4014691449240e86d04d98910207998e"],["node_modules/ordered-read-streams/test/main.js","a43699508ef8c15faebfe8fd2ec86ad5"],["node_modules/os-homedir/index.js","a8e7136b6a07850894bafc5b80de33c0"],["node_modules/os-tmpdir/index.js","df7052b8646c869991df05e187b63de1"],["node_modules/osenv/osenv.js","cc787b37b96db29fc00fee79ce1ffa4e"],["node_modules/osenv/test/unix.js","08727f8ca56a7041b563fd94f2a475a9"],["node_modules/osenv/test/windows.js","b41ad21b59d3583bee0fd94f244dfd6b"],["node_modules/package-json/index.js","04e617d24232185189dbc40437f5c759"],["node_modules/parse-filepath/index.js","365dda1f1a738190685ae43a0d18661f"],["node_modules/parse-glob/index.js","ba024d97e8467270df9405d295b34ebc"],["node_modules/parse-json/index.js","dd63e2a84ff455d36be56cbeafd79c70"],["node_modules/parse-json/vendor/parse.js","567dcd8a04b7e0506a7a945285a711df"],["node_modules/parse-json/vendor/unicode.js","fe199b3c69703e7b7468b8cd01b68052"],["node_modules/parse-passwd/index.js","36459f4c0e47d863df3f176b67764e4f"],["node_modules/path-exists/index.js","22728ba7b6566e930e7c96d80c8a7d9a"],["node_modules/path-is-absolute/index.js","135a9dc74dc76b698c2abeaaa165f889"],["node_modules/path-parse/index.js","52b6bd1df498df0a50161a5a8061d1da"],["node_modules/path-parse/index.min.js","b26bdc5475c67bf519fc59cf958e1e40"],["node_modules/path-parse/test.js","23e35158393810d39a0c2b26e0cdf859"],["node_modules/path-parse/test.min.js","515f17631df0b3d7e28198835a7c9290"],["node_modules/path-root-regex/index.js","299ab42d730be375031f25247ff74099"],["node_modules/path-root/index.js","97c6ed0be86ddd800e9ba75e451d6262"],["node_modules/path-to-regexp/index.js","07e02f8b037e4653c60d978136a54670"],["node_modules/path-type/index.js","476274d39c1908aa028e5e12797cd010"],["node_modules/pify/index.js","d3aa656ec8bdc1a98d648d1ceebb9267"],["node_modules/pinkie-promise/index.js","6ad58f1f9e09b5d24f1c002f0c591030"],["node_modules/pinkie/index.js","ea130eba60f416a698c21d01b2ee5067"],["node_modules/prepend-http/index.js","3ad257429eccedbd2670db2548a3e073"],["node_modules/preserve/index.js","c90a04004b4176bcb17afef5bd215604"],["node_modules/preserve/test.js","022cda52f173eb74043e182146515fcc"],["node_modules/pretty-bytes/index.js","8c32204d3f73d82d5ec972ddae260a59"],["node_modules/pretty-hrtime/index.js","1cb5b09f9048f97a25ebe20a2ecc3455"],["node_modules/process-nextick-args/index.js","ba4880f44faff6fd438e6ad567bcc865"],["node_modules/process-nextick-args/test.js","33944d3e3bd1cd9b94b0f177828002eb"],["node_modules/randomatic/index.js","d123d1961211908644a8cd7cd433a6ca"],["node_modules/randomatic/node_modules/is-number/index.js","d6d0c340ff94edcb26b07c89bb4b6797"],["node_modules/randomatic/node_modules/is-number/node_modules/kind-of/index.js","974e0c2803e83c5bf65de52b98bf4f55"],["node_modules/randomatic/node_modules/kind-of/index.js","a77cea0365bea8e0409216f3545e90da"],["node_modules/rc/browser.js","8cb80d9dc185db3e7faca27feafb3d52"],["node_modules/rc/index.js","e8d321be46bbed5f817f91fca79a0ae6"],["node_modules/rc/lib/utils.js","b825abe4a237e7d9145f56904069b49a"],["node_modules/rc/test/ini.js","5d5914db7bc21136f83c05703927cd4c"],["node_modules/rc/test/nested-env-vars.js","27d5644f0925b3f2b7c082b4d07fd175"],["node_modules/rc/test/test.js","8ab5665379909d30b99dc0c59b09d470"],["node_modules/read-all-stream/index.js","188199b05a2a3c77fd23789f0e09b48c"],["node_modules/read-pkg-up/index.js","22fe3248b00dc24bd50d9e9bd2aa881f"],["node_modules/read-pkg/index.js","6c4d8c6fdb256d7d4cdd4c8fa4586853"],["node_modules/readable-stream/duplex-browser.js","71bc8735ee8f568483daa0b68865b025"],["node_modules/readable-stream/duplex.js","d128bf2cd01bfe3a6213e548804685d6"],["node_modules/readable-stream/lib/_stream_duplex.js","3ea436f06672f4e799222a1c4409eb86"],["node_modules/readable-stream/lib/_stream_passthrough.js","30e8c0b2a1dbc5eec923030dfd14937a"],["node_modules/readable-stream/lib/_stream_readable.js","2e0bcd07330e8bd9d129aebe645c81b8"],["node_modules/readable-stream/lib/_stream_transform.js","67b325c22f1d535294fd87b98c5f7c4d"],["node_modules/readable-stream/lib/_stream_writable.js","89e0007fa67e16dbba77af0ee9663658"],["node_modules/readable-stream/lib/internal/streams/BufferList.js","b7de87ad3670685a4f67ba099b7883cd"],["node_modules/readable-stream/lib/internal/streams/destroy.js","bd31eaaaf4d166dc0de7a9789b1e0184"],["node_modules/readable-stream/lib/internal/streams/stream-browser.js","df20453c19af8406babdf987facd76d9"],["node_modules/readable-stream/lib/internal/streams/stream.js","76bae0aaca4d9c61a71995751b67448b"],["node_modules/readable-stream/node_modules/isarray/index.js","e32b2424bf3f56c47ac6a2a08478dce9"],["node_modules/readable-stream/node_modules/isarray/test.js","abae91536d765db34554068cc3f001b0"],["node_modules/readable-stream/passthrough.js","c91f046d756b80d527ec8f4dbeffa459"],["node_modules/readable-stream/readable-browser.js","73ba7f8dd912318c3d51d99674c77c4f"],["node_modules/readable-stream/readable.js","0fe4be4fe2e76f31a60e95e65d42538f"],["node_modules/readable-stream/transform.js","1c25db3b0dbf9eb68d7e2a7063cfcfcb"],["node_modules/readable-stream/writable-browser.js","41a26d0db5dea46383b4b625f05a9d30"],["node_modules/readable-stream/writable.js","8d7df10a4331d4707c47ab9913f5e9a5"],["node_modules/rechoir/index.js","4690466fbc0353fd8caa84211686137d"],["node_modules/rechoir/lib/extension.js","93c16781674a37bcff3901564c5e8670"],["node_modules/rechoir/lib/normalize.js","4f33fd929a0c3b5ea36a90382a2d6a3d"],["node_modules/rechoir/lib/register.js","e97f80102728222868f294c40531c03a"],["node_modules/redent/index.js","652b88d0e4684ccc2c9412e222112f32"],["node_modules/regex-cache/index.js","69b972b40d2615b35ff52ec7bb0e0ef5"],["node_modules/registry-auth-token/base64.js","7a307c15cf41e2e2ec24354944455003"],["node_modules/registry-auth-token/index.js","56d56cee56e050e4734e1160c4e9e778"],["node_modules/registry-auth-token/registry-url.js","83aa45991788df37bef9055b312f30d9"],["node_modules/registry-auth-token/test/auth-token.test.js","89f2c62c605dfbf5472d26d6963d1058"],["node_modules/registry-auth-token/test/registry-url.test.js","e214c549b7580dcecfbfe90593b66f2f"],["node_modules/registry-url/index.js","3da1484610078289517ee8c2e0a5ed3e"],["node_modules/remove-trailing-separator/index.js","85c3989ea1e95677af70c5efa23bed10"],["node_modules/repeat-element/index.js","1170b7388b3535ebf2388fbc856a17b1"],["node_modules/repeat-string/index.js","5f8c0fdde909e8211553a109f4441f69"],["node_modules/repeating/index.js","e8c65ca553cf8d0a82c3da44a6cd377c"],["node_modules/replace-ext/index.js","9ffec89bfd3056249deb87035d0ae71e"],["node_modules/replace-ext/test/main.js","ee166c7addb137d9f3fad1a096cfca92"],["node_modules/resolve-dir/index.js","faa21be94cfe9e9787f371684402bb8b"],["node_modules/resolve/example/async.js","dc08ce48012fc11583adbe609b1f2520"],["node_modules/resolve/example/sync.js","54c6056bebcdb34d4bca7e25d556f4fe"],["node_modules/resolve/index.js","9a19eb8111adcf228f15a39e1c9a8e8a"],["node_modules/resolve/lib/async.js","449cf447e9c83368beea217abffeffcf"],["node_modules/resolve/lib/caller.js","2bb2d2683e11c79a1b6b8a22caef583b"],["node_modules/resolve/lib/core.js","87fa8f914da434c62a5e870216e56ace"],["node_modules/resolve/lib/node-modules-paths.js","8d1bb39392c0ddfcdcdc24cb61091d05"],["node_modules/resolve/lib/sync.js","d2190825c19443135d4be2bb20993d7a"],["node_modules/resolve/test/core.js","5b8674bb7fe61e8de36408c5ca3ee46e"],["node_modules/resolve/test/dotdot.js","eb25b51a3ccfacd7b4fbbb94a342edf8"],["node_modules/resolve/test/dotdot/abc/index.js","a6d23efd29494430e12623e97e094c7d"],["node_modules/resolve/test/dotdot/index.js","303653a00d6b4e9506c0ec3b7ef50234"],["node_modules/resolve/test/faulty_basedir.js","6a18df2efa442614c813713ab2a6ddaa"],["node_modules/resolve/test/filter.js","71fe5c0580db3f6d191bc31b2dd11d99"],["node_modules/resolve/test/filter_sync.js","3f90c3b6d3023bdbc81140d9783244c9"],["node_modules/resolve/test/mock.js","911e5d4e072d20f22e5f58f9c6a659e9"],["node_modules/resolve/test/mock_sync.js","e8ea933f203c759b0f0b802b559ceedc"],["node_modules/resolve/test/module_dir.js","dba5837c6fa7833449c084f949c9eb3d"],["node_modules/resolve/test/module_dir/xmodules/aaa/index.js","9e45e7ed7dd804266a1b96eb70db330f"],["node_modules/resolve/test/module_dir/ymodules/aaa/index.js","b96f38dcf7e5c8674c12f465faf0f054"],["node_modules/resolve/test/module_dir/zmodules/bbb/main.js","09fa66df61573f1a368f30489cc33741"],["node_modules/resolve/test/node-modules-paths.js","40b104933bdc9d7db024edec6e587e43"],["node_modules/resolve/test/node_path.js","34f176383823b48cff6d3c4a014f1c13"],["node_modules/resolve/test/node_path/x/aaa/index.js","52127f7aa347b8613740d223a1fd8bb8"],["node_modules/resolve/test/node_path/x/ccc/index.js","e80e2b6d94895cc3c6641ecf9e1ab0d6"],["node_modules/resolve/test/node_path/y/bbb/index.js","65a094ea67b5e4886331645f37463a32"],["node_modules/resolve/test/node_path/y/ccc/index.js","1840eac4d3fe020fa3d4642a5ae21cec"],["node_modules/resolve/test/nonstring.js","90a1edf2d8cda69acd16d333f232468b"],["node_modules/resolve/test/pathfilter.js","061301580111e3a049f5431feca9454c"],["node_modules/resolve/test/pathfilter/deep_ref/main.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/precedence.js","60dbf81e71603b0ce609b8e33eed177f"],["node_modules/resolve/test/precedence/aaa.js","49163d248668737d115fc3d13361d34c"],["node_modules/resolve/test/precedence/aaa/index.js","5790d1c0db9d396d0c5d383eea413290"],["node_modules/resolve/test/precedence/aaa/main.js","293842d0cd56c726e5510a4d72df51b5"],["node_modules/resolve/test/precedence/bbb.js","5e98b57495bcdf630a21ec378db7b0e9"],["node_modules/resolve/test/precedence/bbb/main.js","889ce877c52c09163d1be7868a3404ec"],["node_modules/resolve/test/resolver.js","0d4782de2fb90692fea7a47b3b1a77ec"],["node_modules/resolve/test/resolver/baz/doom.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/resolver/baz/quux.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/dot_main/index.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/dot_slash_main/index.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/foo.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/incorrect_main/index.js","0b72654f2e307bde1ab4fbeab7af2b78"],["node_modules/resolve/test/resolver/mug.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/resolver/other_path/lib/other-lib.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/resolver/other_path/root.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/resolver/quux/foo/index.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/same_names/foo.js","d00072229e607e3109a7c7b617d829f8"],["node_modules/resolve/test/resolver/same_names/foo/index.js","0c1d9e1731bb3d71b0b7a15695bfab14"],["node_modules/resolve/test/resolver/symlinked/_/node_modules/foo.js","d41d8cd98f00b204e9800998ecf8427e"],["node_modules/resolve/test/resolver/without_basedir/main.js","a273979c29547819f4ce096e8454eba6"],["node_modules/resolve/test/resolver_sync.js","7bf87edc7c4c8024e252deb8510da196"],["node_modules/resolve/test/subdirs.js","e8a1a80da10c1fd7193ac00aa839644c"],["node_modules/resolve/test/symlinks.js","dd7e84e751ed99c748bfee087101f705"],["node_modules/safe-buffer/index.js","b1622ff2944ba3f13a1cf6fbcf0f9e3f"],["node_modules/safe-buffer/test.js","9c7e39d1b7237350934d079d8fe2edbe"],["node_modules/semver-diff/index.js","971357024c060af35d6b11dbbad73751"],["node_modules/semver/semver.js","f6e6f65685c5395a5c078b65104f8db6"],["node_modules/sequencify/index.js","2dcffe905037b6daa27abfb4e8e91823"],["node_modules/serviceworker-cache-polyfill/index.js","3e07c94b20c469bfb10856ebe3abf9e4"],["node_modules/sigmund/bench.js","6590f59d9cf842e95afe0b5f899e0e24"],["node_modules/sigmund/sigmund.js","e410aee77c9cf4c364847c88c19b84cc"],["node_modules/sigmund/test/basic.js","a1cf46a58061b72825b7c13458891cbe"],["node_modules/signal-exit/index.js","a2b431d1c9a84363966d8c76143b87ba"],["node_modules/signal-exit/signals.js","088797b13dce89e566484933fe8538b7"],["node_modules/slide/index.js","5cb8e34d19c2a1d6664bd0e861873141"],["node_modules/slide/lib/async-map-ordered.js","70421c61a33eb87fb3ce11a9b7be4d20"],["node_modules/slide/lib/async-map.js","0cb3b7a78819b121bb1239953d75e5b9"],["node_modules/slide/lib/bind-actor.js","bb24ce79b098922770c9ed7a85dd07e0"],["node_modules/slide/lib/chain.js","62cb110a37b90723d8234ad12293c3ab"],["node_modules/slide/lib/slide.js","7d013679fc5257129dfa77674f48d4d4"],["node_modules/sparkles/index.js","629d8ac2bb3af43c635d2aa3428156b1"],["node_modules/spdx-correct/index.js","655a50d011bc7f6b8139e8560bf47e0b"],["node_modules/spdx-expression-parse/index.js","0ed57f742c6d7264cf06eee4f7c71e3c"],["node_modules/spdx-expression-parse/parser.js","ec18bac614dd3a947a7dd05027b108fe"],["node_modules/stream-consume/index.js","885da7dbc5152d959bfbb59885570935"],["node_modules/stream-consume/test/tests.js","9e4440ce64c04e16ae2372d4716c5a4b"],["node_modules/string-width/index.js","6f6896167219a6e5ed1303f389294b60"],["node_modules/string_decoder/lib/string_decoder.js","b1809126526f580c3645e8f99d610856"],["node_modules/strip-ansi/index.js","e2962c78c9c5968c399c26413ca3e8bc"],["node_modules/strip-bom/index.js","1310cd8a86ac52095ca8d47104385e94"],["node_modules/strip-indent/cli.js","d31478d4f45669ff6d825580ba43d641"],["node_modules/strip-indent/index.js","8999280439e398ef1c50e4a108d115c2"],["node_modules/strip-json-comments/index.js","8cdf3b8b015e770581934f4bbdc0d971"],["node_modules/supports-color/index.js","0e20a32404735d4b0822995d6c19443c"],["node_modules/sw-precache/cli.js","9f7035f7fe1ec5145aaa2d2ee7b9b631"],["node_modules/sw-precache/lib/functions.js","8cee22ad5cf24da3d3b8a35d967ec522"],["node_modules/sw-precache/lib/sw-precache.js","a06f9637b9fb6571ba149449d4efd0dd"],["node_modules/sw-toolbox/companion.js","6c891a25790dfafb6041bca5dfefdc77"],["node_modules/sw-toolbox/lib/helpers.js","0cd89bf34cad65cf397c4df3ff30b952"],["node_modules/sw-toolbox/lib/idb-cache-expiration.js","04f87dddabf177b5777858d3bf93d519"],["node_modules/sw-toolbox/lib/listeners.js","96239c6ebbb63eb48afe209b47045995"],["node_modules/sw-toolbox/lib/options.js","1596f89daa97e175201ede34194e6e2d"],["node_modules/sw-toolbox/lib/route.js","28eb00fa3f0629f29a57cbadadb5b62e"],["node_modules/sw-toolbox/lib/router.js","bb5d878875b767dee0247e36dcabbd55"],["node_modules/sw-toolbox/lib/strategies/cacheFirst.js","98df7d0a73a09bbee8d1b94cb74a99d9"],["node_modules/sw-toolbox/lib/strategies/cacheOnly.js","ac0098e43f27253af0d19ffb0a1e8bf7"],["node_modules/sw-toolbox/lib/strategies/fastest.js","ee5f548d4b0a6740d0f58841147f289b"],["node_modules/sw-toolbox/lib/strategies/index.js","ae726b3e8a480ff20080d9525a87d4af"],["node_modules/sw-toolbox/lib/strategies/networkFirst.js","1eeb34efa5138e0ac610d6fbe32a10aa"],["node_modules/sw-toolbox/lib/strategies/networkOnly.js","d3981eb3d4f75bc428b567a39646d54d"],["node_modules/sw-toolbox/lib/sw-toolbox.js","d7ce34e1f90a0506bb11acd591b29b2d"],["node_modules/sw-toolbox/sw-toolbox.js","2770efb889cc10c4de88d0b746c2a13c"],["node_modules/through2/LICENSE.html","bb8031aeb39f1781e22716925f7589ac"],["node_modules/through2/through2.js","90f016e89813009fce103724bae3ff89"],["node_modules/tildify/index.js","f1afa53bef64c3c4ac3c91b759482a09"],["node_modules/time-stamp/index.js","79f9e6129ae8162a6c1ceef3c6fd1a74"],["node_modules/timed-out/index.js","47860b95505b4ceb5665c762b8eb5dc7"],["node_modules/trim-newlines/index.js","668e166c032aae23e0bc43cd81340c6d"],["node_modules/unc-path-regex/index.js","8eb2c9baef2bfb1f9824150d1e768f14"],["node_modules/unique-stream/index.js","cf883f5baf5e9b3e05649d0b03fd31c9"],["node_modules/unique-stream/test/index.js","e8799398109ff4a1c67fd90736fa45ce"],["node_modules/unzip-response/index.js","6af0992d512fcb46bc937fe63dccc9e9"],["node_modules/update-notifier/check.js","18257cb36f2979844c1982c63735df94"],["node_modules/update-notifier/index.js","b4b70739620d3f1cf149ce030a60e2ae"],["node_modules/urijs/src/IPv6.js","fe3fac68c715d7112947839c266cbd0e"],["node_modules/urijs/src/SecondLevelDomains.js","d58cdeef0b9141e4ec964ca0633986ec"],["node_modules/urijs/src/URI.fragmentQuery.js","16e0e40673fd76af3228c5d5f86dfc73"],["node_modules/urijs/src/URI.fragmentURI.js","faf82073d0133c69cba0f4d6ea8f4f33"],["node_modules/urijs/src/URI.js","4f49f4ba6d0e35e300f6ba77fba98172"],["node_modules/urijs/src/URI.min.js","6a497f8f4c6e88e615a0b663e7800072"],["node_modules/urijs/src/URITemplate.js","50ab91841b7eeee88fb88f06ae4d5968"],["node_modules/urijs/src/jquery.URI.js","f1a9dee8acbade0e1532b47160e61852"],["node_modules/urijs/src/jquery.URI.min.js","95c99fca711446ef128b2d5aca674b3f"],["node_modules/urijs/src/punycode.js","3d05e1a0418c33aca6852f201a13ae88"],["node_modules/url-parse-lax/index.js","2bb4fd9e112b0204bd6a4e9fa1122060"],["node_modules/user-home/cli.js","bb217efa16fb8eeeb33c85c4c9cb8af8"],["node_modules/user-home/index.js","5c09f532654f6003c48104b2a2b4a7da"],["node_modules/util-deprecate/browser.js","521e3c4a53c4265653c9f68ebd52f700"],["node_modules/util-deprecate/node.js","0e28b0a11a7a2d9d18f33f2bfa67d380"],["node_modules/uuid/benchmark/benchmark.js","f81d36a2f8716e629d678d1756fefe2b"],["node_modules/uuid/misc/compare.js","8ef8d4abc0e8fdea80b079736ab38be3"],["node_modules/uuid/misc/perf.js","bc0fd88253666a2a6f6de403d59e6baa"],["node_modules/uuid/rng-browser.js","72d6cdb00c9aed05603aee73433c61bb"],["node_modules/uuid/rng.js","eaed2d862309d96d8204b0bfe46c52da"],["node_modules/uuid/test/test.js","ca117870de9c8f147d43527df924cc3f"],["node_modules/uuid/uuid.js","4f770c89d7245b4f5f87bdb026ff242f"],["node_modules/v8flags/index.js","0150ced16bed304e3a35fed002a20331"],["node_modules/validate-npm-package-license/index.js","32796556252ac851bbfc133b01179b00"],["node_modules/vinyl-fs/index.js","cd1a536a2fec3891b2c45fd268c5ce4e"],["node_modules/vinyl-fs/lib/dest/index.js","20e5e94a29b9d6424eafdd2c31fba780"],["node_modules/vinyl-fs/lib/dest/writeContents/index.js","3999d9bdf92efc1935dcdcfd77cabf63"],["node_modules/vinyl-fs/lib/dest/writeContents/writeBuffer.js","f77ab98fc3a11a158febab0685ad4d17"],["node_modules/vinyl-fs/lib/dest/writeContents/writeDir.js","e5824295db93f267b00255e31d96e370"],["node_modules/vinyl-fs/lib/dest/writeContents/writeStream.js","278331927006624e25d2449cc9fc9bbc"],["node_modules/vinyl-fs/lib/src/getContents/bufferFile.js","944574244f92c4e6f5fe94b59885a8bf"],["node_modules/vinyl-fs/lib/src/getContents/index.js","4cf01a0815cff7ff83ecaa22e535f1e3"],["node_modules/vinyl-fs/lib/src/getContents/readDir.js","9b421aec09e2cec72521cf3377ffc54b"],["node_modules/vinyl-fs/lib/src/getContents/streamFile.js","2572675c3d6af0fac3b242da6361a261"],["node_modules/vinyl-fs/lib/src/getStats.js","51c6e3f4f3e808e4be637e6d6b89f28e"],["node_modules/vinyl-fs/lib/src/index.js","38e4f9d818c3175ddb5aed775c840f58"],["node_modules/vinyl-fs/node_modules/clone/clone.js","c16ba5f4e261acb3d791dd934bbf2407"],["node_modules/vinyl-fs/node_modules/clone/test.js","b837c25be4d1fbd3b52668498a283c71"],["node_modules/vinyl-fs/node_modules/graceful-fs/fs.js","3b9399fb7d127dc2da9a37f77a401869"],["node_modules/vinyl-fs/node_modules/graceful-fs/graceful-fs.js","b1677c68bd58ef5b85dc4ae3a261fc83"],["node_modules/vinyl-fs/node_modules/graceful-fs/polyfills.js","75a790c732feff63bfeddd19156a48d4"],["node_modules/vinyl-fs/node_modules/graceful-fs/test/max-open.js","956bcc8be900147e71b8f42e19adf3cd"],["node_modules/vinyl-fs/node_modules/graceful-fs/test/open.js","ad226c722ba12462de1404fa3f6edf01"],["node_modules/vinyl-fs/node_modules/graceful-fs/test/readdir-sort.js","50e2b611d34da743a0910ecb208ceb1b"],["node_modules/vinyl-fs/node_modules/graceful-fs/test/write-then-read.js","9f4fe64bc007d4698c325035952a9319"],["node_modules/vinyl-fs/node_modules/readable-stream/duplex.js","0bbee744616e6f49c9204d153c492e90"],["node_modules/vinyl-fs/node_modules/readable-stream/lib/_stream_duplex.js","b1a73c853d96fdaff0e860b807893ebd"],["node_modules/vinyl-fs/node_modules/readable-stream/lib/_stream_passthrough.js","ce5db75482e147ac95a28a779c9e3534"],["node_modules/vinyl-fs/node_modules/readable-stream/lib/_stream_readable.js","df49a9a27415c7c87d62a9d5e4d531eb"],["node_modules/vinyl-fs/node_modules/readable-stream/lib/_stream_transform.js","6256b8cd1189182f3f6ead29685e1803"],["node_modules/vinyl-fs/node_modules/readable-stream/lib/_stream_writable.js","7f5ca9563c1a4c7f271d0ffc6045733f"],["node_modules/vinyl-fs/node_modules/readable-stream/passthrough.js","0c37f6b2f15bba603db1fcace84703e4"],["node_modules/vinyl-fs/node_modules/readable-stream/readable.js","e17d17a719cfb0c3822403abf6df72cc"],["node_modules/vinyl-fs/node_modules/readable-stream/transform.js","c741030ec12b51eb7b7db4cb33018418"],["node_modules/vinyl-fs/node_modules/readable-stream/writable.js","64168dce8ac3b4d07ed84affbadb52f5"],["node_modules/vinyl-fs/node_modules/string_decoder/index.js","d6a118237011b215f71d40bbc5db400e"],["node_modules/vinyl-fs/node_modules/strip-bom/cli.js","914023a0eecdb6218a87bb2f922d7a10"],["node_modules/vinyl-fs/node_modules/strip-bom/index.js","23758f5719f7f545e4787798ade0ae36"],["node_modules/vinyl-fs/node_modules/through2/through2.js","90f016e89813009fce103724bae3ff89"],["node_modules/vinyl-fs/node_modules/vinyl/index.js","fe8bbf1ea3e784e5da5e4e040174ece5"],["node_modules/vinyl-fs/node_modules/vinyl/lib/cloneBuffer.js","0eaff21604b860ea8b1ca73bac291a69"],["node_modules/vinyl-fs/node_modules/vinyl/lib/inspectStream.js","442a01157451bd991a4fe5e7532eef0e"],["node_modules/vinyl-fs/node_modules/vinyl/lib/isBuffer.js","f8f483e7fe0d03969211b8ad221f9040"],["node_modules/vinyl-fs/node_modules/vinyl/lib/isNull.js","a30df594506b4cdfd2c250e3793dce70"],["node_modules/vinyl-fs/node_modules/vinyl/lib/isStream.js","2d203c2c885cd5d046ff65cdcc4cb995"],["node_modules/vinyl/index.js","805d848338b6c4c6fd2de5c2b8fb6d03"],["node_modules/vinyl/lib/cloneBuffer.js","0eaff21604b860ea8b1ca73bac291a69"],["node_modules/vinyl/lib/inspectStream.js","442a01157451bd991a4fe5e7532eef0e"],["node_modules/vinyl/lib/isBuffer.js","cbafd39da2845fd23e74a7e88c323c72"],["node_modules/vinyl/lib/isNull.js","a30df594506b4cdfd2c250e3793dce70"],["node_modules/vinyl/lib/isStream.js","2d203c2c885cd5d046ff65cdcc4cb995"],["node_modules/which/which.js","fb84cfc01f3cd448d81d933b24fc2db0"],["node_modules/widest-line/index.js","a4dba0b5844582716f1460910973635c"],["node_modules/wrappy/wrappy.js","04a65e1669dc90fa11c900693c1974b1"],["node_modules/write-file-atomic/index.js","e3e9dc711de5daf503376b379d0b211c"],["node_modules/xdg-basedir/index.js","b54c4652f998b9b505920feed8c658ef"],["node_modules/xtend/immutable.js","fca955864fd157aa6808a43e977c1ffb"],["node_modules/xtend/mutable.js","c0f6f052bb0eaa911c3a189a9d307c4d"],["node_modules/xtend/test.js","fa54f944abf4b8e0c8d1a92b31d0410e"],["scripts/app.js","bae3939898c01c95284c1012fb2bc8a7"],["service-worker.js","cf0e6ba18fb0af8e290e7d1842e0b21c"],["styles/inline.css","964e8546d971e6d204fd2644c3ed4abf"]];
var cacheName = 'sw-precache-v3--' + (self.registration ? self.registration.scope : '');


var ignoreUrlParametersMatching = [/^utm_/];



var addDirectoryIndex = function (originalUrl, index) {
    var url = new URL(originalUrl);
    if (url.pathname.slice(-1) === '/') {
      url.pathname += index;
    }
    return url.toString();
  };

var cleanResponse = function (originalResponse) {
    // If this is not a redirected response, then we don't have to do anything.
    if (!originalResponse.redirected) {
      return Promise.resolve(originalResponse);
    }

    // Firefox 50 and below doesn't support the Response.body stream, so we may
    // need to read the entire body to memory as a Blob.
    var bodyPromise = 'body' in originalResponse ?
      Promise.resolve(originalResponse.body) :
      originalResponse.blob();

    return bodyPromise.then(function(body) {
      // new Response() is happy when passed either a stream or a Blob.
      return new Response(body, {
        headers: originalResponse.headers,
        status: originalResponse.status,
        statusText: originalResponse.statusText
      });
    });
  };

var createCacheKey = function (originalUrl, paramName, paramValue,
                           dontCacheBustUrlsMatching) {
    // Create a new URL object to avoid modifying originalUrl.
    var url = new URL(originalUrl);

    // If dontCacheBustUrlsMatching is not set, or if we don't have a match,
    // then add in the extra cache-busting URL parameter.
    if (!dontCacheBustUrlsMatching ||
        !(url.pathname.match(dontCacheBustUrlsMatching))) {
      url.search += (url.search ? '&' : '') +
        encodeURIComponent(paramName) + '=' + encodeURIComponent(paramValue);
    }

    return url.toString();
  };

var isPathWhitelisted = function (whitelist, absoluteUrlString) {
    // If the whitelist is empty, then consider all URLs to be whitelisted.
    if (whitelist.length === 0) {
      return true;
    }

    // Otherwise compare each path regex to the path of the URL passed in.
    var path = (new URL(absoluteUrlString)).pathname;
    return whitelist.some(function(whitelistedPathRegex) {
      return path.match(whitelistedPathRegex);
    });
  };

var stripIgnoredUrlParameters = function (originalUrl,
    ignoreUrlParametersMatching) {
    var url = new URL(originalUrl);
    // Remove the hash; see https://github.com/GoogleChrome/sw-precache/issues/290
    url.hash = '';

    url.search = url.search.slice(1) // Exclude initial '?'
      .split('&') // Split into an array of 'key=value' strings
      .map(function(kv) {
        return kv.split('='); // Split each 'key=value' string into a [key, value] array
      })
      .filter(function(kv) {
        return ignoreUrlParametersMatching.every(function(ignoredRegex) {
          return !ignoredRegex.test(kv[0]); // Return true iff the key doesn't match any of the regexes.
        });
      })
      .map(function(kv) {
        return kv.join('='); // Join each [key, value] array into a 'key=value' string
      })
      .join('&'); // Join the array of 'key=value' strings into a string with '&' in between each

    return url.toString();
  };


var hashParamName = '_sw-precache';
var urlsToCacheKeys = new Map(
  precacheConfig.map(function(item) {
    var relativeUrl = item[0];
    var hash = item[1];
    var absoluteUrl = new URL(relativeUrl, self.location);
    var cacheKey = createCacheKey(absoluteUrl, hashParamName, hash, false);
    return [absoluteUrl.toString(), cacheKey];
  })
);

function setOfCachedUrls(cache) {
  return cache.keys().then(function(requests) {
    return requests.map(function(request) {
      return request.url;
    });
  }).then(function(urls) {
    return new Set(urls);
  });
}

self.addEventListener('install', function(event) {
  event.waitUntil(
    caches.open(cacheName).then(function(cache) {
      return setOfCachedUrls(cache).then(function(cachedUrls) {
        return Promise.all(
          Array.from(urlsToCacheKeys.values()).map(function(cacheKey) {
            // If we don't have a key matching url in the cache already, add it.
            if (!cachedUrls.has(cacheKey)) {
              var request = new Request(cacheKey, {credentials: 'same-origin'});
              return fetch(request).then(function(response) {
                // Bail out of installation unless we get back a 200 OK for
                // every request.
                if (!response.ok) {
                  throw new Error('Request for ' + cacheKey + ' returned a ' +
                    'response with status ' + response.status);
                }

                return cleanResponse(response).then(function(responseToCache) {
                  return cache.put(cacheKey, responseToCache);
                });
              });
            }
          })
        );
      });
    }).then(function() {
      
      // Force the SW to transition from installing -> active state
      return self.skipWaiting();
      
    })
  );
});

self.addEventListener('activate', function(event) {
  var setOfExpectedUrls = new Set(urlsToCacheKeys.values());

  event.waitUntil(
    caches.open(cacheName).then(function(cache) {
      return cache.keys().then(function(existingRequests) {
        return Promise.all(
          existingRequests.map(function(existingRequest) {
            if (!setOfExpectedUrls.has(existingRequest.url)) {
              return cache.delete(existingRequest);
            }
          })
        );
      });
    }).then(function() {
      
      return self.clients.claim();
      
    })
  );
});


self.addEventListener('fetch', function(event) {
  if (event.request.method === 'GET') {
    // Should we call event.respondWith() inside this fetch event handler?
    // This needs to be determined synchronously, which will give other fetch
    // handlers a chance to handle the request if need be.
    var shouldRespond;

    // First, remove all the ignored parameters and hash fragment, and see if we
    // have that URL in our cache. If so, great! shouldRespond will be true.
    var url = stripIgnoredUrlParameters(event.request.url, ignoreUrlParametersMatching);
    shouldRespond = urlsToCacheKeys.has(url);

    // If shouldRespond is false, check again, this time with 'index.html'
    // (or whatever the directoryIndex option is set to) at the end.
    var directoryIndex = 'index.html';
    if (!shouldRespond && directoryIndex) {
      url = addDirectoryIndex(url, directoryIndex);
      shouldRespond = urlsToCacheKeys.has(url);
    }

    // If shouldRespond is still false, check to see if this is a navigation
    // request, and if so, whether the URL matches navigateFallbackWhitelist.
    var navigateFallback = '';
    if (!shouldRespond &&
        navigateFallback &&
        (event.request.mode === 'navigate') &&
        isPathWhitelisted([], event.request.url)) {
      url = new URL(navigateFallback, self.location).toString();
      shouldRespond = urlsToCacheKeys.has(url);
    }

    // If shouldRespond was set to true at any point, then call
    // event.respondWith(), using the appropriate cache key.
    if (shouldRespond) {
      event.respondWith(
        caches.open(cacheName).then(function(cache) {
          return cache.match(urlsToCacheKeys.get(url)).then(function(response) {
            if (response) {
              return response;
            }
            throw Error('The cached response that was expected is missing.');
          });
        }).catch(function(e) {
          // Fall back to just fetch()ing the request if some unexpected error
          // prevented the cached response from being valid.
          console.warn('Couldn\'t serve response for "%s" from cache: %O', event.request.url, e);
          return fetch(event.request);
        })
      );
    }
  }
});







